Bug 1008055 - after 4d, 21+ hours, radeon RV620 GL [FirePro V3700] flickers dual screen single card
after 4d, 21+ hours, radeon RV620 GL [FirePro V3700] flickers dual screen sin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 22:10 EDT by Doug Maxey
Modified: 2015-02-17 12:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:10:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2013-09-13 22:10:47 EDT
Description of problem:
At some point, within a few minutes short of 108 hours of runtime, the screen starts to flash like the visible bell is being triggered.  Have left it to run for about an hour or so before rebooting to get it to stop.  Tried restarted the xserver, but made no difference, the complete reset wot don it :/

Version-Release number of selected component (if applicable):

# uname -vr
3.10.10-200.fc19.x86_64 #1 SMP Thu Aug 29 19:05:45 UTC 2013

How reproducible:

Fairly reproducible, has happened consistently, have to wait just under 5 days though.

Steps to Reproduce:
1. start system
2. watch screen :)
3.

Actual results:


Expected results:


Additional info:
Not that big of a deal, usually get a new kernel and have to reboot anyway.

# lspci -v -s 01:00.0
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620 GL [FirePro V3700] (prog-if 00 [VGA controller])
	Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Device 2f43
	Flags: bus master, fast devsel, latency 0, IRQ 45
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fe6f0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at 9000 [size=256]
	Expansion ROM at fe6c0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: radeon

# dmidecode 2.12
SMBIOS 2.5 present.
68 structures occupying 2420 bytes.
Table at 0x0009F400.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
        Vendor: American Megatrends Inc.
        Version: 2105   
        Release Date: 07/23/2010
        Address: 0xF0000
        Runtime Size: 64 kB
        ROM Size: 1024 kB
        Characteristics:
                ISA is supported
                PCI is supported
                PNP is supported
                APM is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                ESCD support is available
                Boot from CD is supported
                Selectable boot is supported
                BIOS ROM is socketed
                EDD is supported
                5.25"/1.2 MB floppy services are supported (int 13h)
                3.5"/720 kB floppy services are supported (int 13h)
                3.5"/2.88 MB floppy services are supported (int 13h)
                Print screen service is supported (int 5h)
                8042 keyboard services are supported (int 9h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                CGA/mono video services are supported (int 10h)
                ACPI is supported
                USB legacy is supported
                LS-120 boot is supported
                ATAPI Zip drive boot is supported
                BIOS boot specification is supported
                Targeted content distribution is supported
        BIOS Revision: 8.15

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: System manufacturer
        Product Name: System Product Name
        Version: System Version
        Serial Number: System Serial Number
        UUID: 400C001E-8C00-0030-A988-485B39AECDD7
        Wake-up Type: Power Switch
        SKU Number: To Be Filled By O.E.M.

        Family: To Be Filled By O.E.M.

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
        Manufacturer: ASUSTeK Computer INC.
        Product Name: M4A785TD-V EVO
        Version: Rev X.0x
        Serial Number: MT7003K44203308
        Asset Tag: To Be Filled By O.E.M.
        Features:
                Board is a hosting board
                Board is replaceable
        Location In Chassis: To Be Filled By O.E.M.
        Chassis Handle: 0x0003
        Type: Motherboard
        Contained Object Handles: 0
Comment 1 Doug Maxey 2013-09-13 22:24:19 EDT
Oh, yeah.  One other tidbit.  The login dialog screen does not flash, just after logging back in.   If it was flashing, it picks it right back up.
Comment 2 Doug Maxey 2013-09-13 22:29:56 EDT
That was not too clear.  Once the screens start flashing, logging out gets me back to the login dialog, which does not flash.  But once logged back in w/o a reboot, the flashing immediately resumes.
Comment 3 Doug Maxey 2013-09-14 13:21:08 EDT
meh.  I can't add either.
4*24+22 = 118 hours
Comment 4 Doug Maxey 2013-10-12 16:24:30 EDT
Seems to be improving on it's own:

Mon Oct  7 07:02:49 CDT 2013
3.11.2-201.fc19.x86_64 #1 SMP Fri Sep 27 19:20:55 UTC 2013
             total       used       free     shared    buffers     cached
Mem:      16434612   15813104     621508          0     211732    6914880
-/+ buffers/cache:    8686492    7748120
Swap:            0          0          0
 07:02:49 up 5 days, 13:05, 27 users,  load average: 0.47, 0.91, 0.88

Seems like it was up to tricks when I logged in, so it fell over before that.

Today however, I was logged in when it happened:

Sat Oct 12 14:18:44 CDT 2013
3.11.3-201.fc19.x86_64 #1 SMP Thu Oct 3 00:47:03 UTC 2013
             total       used       free     shared    buffers     cached
Mem:      16434612   11075548    5359064          0     199700    3607164
-/+ buffers/cache:    7268684    9165928
Swap:            0          0          0
 14:18:44 up 5 days,  6:59, 27 users,  load average: 0.95, 0.78, 0.68
Comment 5 Fedora End Of Life 2015-01-09 14:49:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:10:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.